> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List segments



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/companies/{id}/segments
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/companies/{id}/segments:
    get:
      tags:
        - Companies
      summary: List segments
      operationId: CompaniesControllerV3_getSegments
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: The maximum number of items to return in a single request.
          schema:
            minimum: 1
            maximum: 500
            default: 10
            example: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            A unique identifier pointing to the starting position for the next
            set of results.
          schema:
            minimum: 0
            default: 0
            example: 2432
            type: number
        - name: direction
          required: false
          in: query
          description: The direction of the sort order (id field).
          schema:
            default: asc
            example: asc
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSegmentResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
      security:
        - apiKey: []
        - apiKey: []
components:
  schemas:
    PaginatedSegmentResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SegmentDto'
        pagination:
          $ref: '#/components/schemas/CursorPagination'
      required:
        - data
        - pagination
    SegmentDto:
      type: object
      properties:
        companyId:
          type: number
          example: 4742
        fiscalYear:
          type: number
          example: 2024
        reportDate:
          format: date-time
          type: string
          example: '2025-03-19T15:00:00.000Z'
        segmentItem:
          type: string
          example: Revenue
        segmentCategory:
          type: string
          example: Business Area
        total:
          type: number
          example: 187442
        totalUnit:
          type: string
          example: MUSD
        other:
          type: string
          example: 1.0 (0.0%)
        items:
          example:
            - name: Automotive
              value: 171605
            - name: GM Financial
              value: 15875
            - name: Cruise
              value: 257
            - name: Eliminations/reclassifications
              value: -296
          type: array
          items:
            $ref: '#/components/schemas/SegmentItemDto'
        itemUnit:
          type: string
          example: MUSD
        createdAt:
          format: date-time
          type: string
          example: '2025-04-15T15:00:00.000Z'
        updatedAt:
          format: date-time
          type: string
          example: '2025-04-15T15:00:00.000Z'
      required:
        - companyId
        - createdAt
        - updatedAt
    CursorPagination:
      type: object
      properties:
        nextCursor:
          type: number
          nullable: true
          description: >-
            A unique identifier indicating the position to continue fetching the
            next set of results in subsequent requests.
          example: 10
      required:
        - nextCursor
    SegmentItemDto:
      type: object
      properties:
        name:
          type: string
          example: Automotive
        value:
          type: number
          example: 171605
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````